#!/bin/bash

function unroll () {
  name="$1"
  bound="$2"

  ../tools/yosys-smtbmc \
    -s dummy \
    --dummy "dummy/${name}.smtout" \
    --noinfo \
    --unroll -t $bound \
    --dump-smt2 "${name}-unrolled.smt2" \
    "models/${name}-model.smt2"
}

unroll zipcpu-zipmmu 30
unroll zipcpu-pfcache 100
unroll zipcpu-busdelay 100
unroll picorv32-check 30
unroll picorv32-pcregs 20
unroll VexRiscv-regch0-30 32
unroll VexRiscv-regch0-20 22
unroll VexRiscv-regch0-15 17
unroll ponylink-slaveTXlen-sat 230
unroll ponylink-slaveTXlen-unsat 231
